Skip to main content

Search shipments by status

POST 

/shipments/search

Returns a paginated list of shipments for a given status. Use the status field to target the desired queue and payload.params for filters.

statusMeaning
shipments_upcomingActive / Upcoming — Orders received, approved and awaiting processing.
shipments_to_packPending Labels — Shipments packed but label not yet generated.
shipments_to_handoverPending Handover — Labels generated, awaiting courier pickup.
shipments_in_transitIn Transit — Picked up by courier, on the way to buyer.
shipments_deliveredCompleted Orders — Delivered in last 90 days.

Pagination: If has_more is true, increment page_num to fetch the next page. Alternatively use next_token from the response directly in the next request.

Request

Responses

Paginated list of shipments matching the given status and filters.